## nordugrid-arc 4.0.0

=== debian/changelog ===
nordugrid-arc (4.0.0-1) unstable; urgency=low

  * 4.0.0 Release (Closes: #715131) (LP: #1049798)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 29 Nov 2013 13:39:10 +0100

nordugrid-arc (3.0.3-1) unstable; urgency=low

  * 3.0.3 Release
  * Drop find syntax patch accepted upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 01 Aug 2013 08:00:58 +0200
