=== debian/control ===
Source: nordugrid-arc
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Uploaders: Anders Waananen <waananen@nbi.dk>
Build-Depends: debhelper (>= 5), autotools-dev, libxml2-dev (>= 2.4.0), libssl-dev, libglibmm-2.4-dev, python-dev, libltdl-dev | libltdl7-dev | libltdl3-dev, libldap2-dev, uuid-dev, libcppunit-dev, pkg-config, libdb++-dev, libxmlsec1-dev (>=1.2.4), libglobus-common-dev, libglobus-gssapi-gsi-dev, libglobus-ftp-client-dev, libglobus-ftp-control-dev, python-support, default-jdk | openjdk-6-jdk | java-gcj-compat-dev, junit, liblfc-dev, libgridsite-dev, openssl, swig, libnss3-dev, libcanl-c++1-dev, pylint, libxml-simple-perl
XS-Python-Version: current
Standards-Version: 3.9.5
Vcs-Browser: http://svn.nordugrid.org/trac/nordugrid/browser/arc1
Vcs-Svn: http://svn.nordugrid.org/repos/nordugrid/arc1/trunk
Homepage: http://www.nordugrid.org

Package: libarccommon3
Provides: nordugrid-arc-libs, nordugrid-arc1, nordugrid-arc-nox
Replaces: nordugrid-arc-libs (<< 1.0.0~), nordugrid-arc1 (<< 1.0.0~), nordugrid-arc-nox (<< 1.3.0~), nordugrid-arc-hed (<< 1.0.1~rc2~), nordugrid-arc-arex (<< 2.0.1~), libarccommon0, libarccommon1, libarccommon2
Conflicts: nordugrid-arc-libs (<< 1.0.0~), nordugrid-arc1 (<< 1.0.0~), nordugrid-arc1-janitor (<< 1.0.0~), nordugrid-arc-nox (<< 1.3.0~), nordugrid-arc-httpsd (<< 0.8.2~), nordugrid-arc-logger-server (<< 0.8.2~), nordugrid-arc-nox-charon (<< 1.3.0~), nordugrid-arc-nox-chelonia (<< 1.3.0~), nordugrid-arc-nox-compiler (<< 1.3.0~), nordugrid-arc-nox-delegation (<< 1.3.0~), nordugrid-arc-nox-hopi (<< 1.3.0~), nordugrid-arc-nox-isis (<< 1.3.0~), nordugrid-arc-nox-janitor (<< 1.3.0~), nordugrid-arc-nox-paul (<< 1.3.0~), nordugrid-arc-nox-saml2sp (<< 1.3.0~), nordugrid-arc-nox-slcs (<< 1.3.0~), nordugrid-arc-chelonia (<< 2.0.0~), nordugrid-arc-hopi (<< 2.0.0~), nordugrid-arc-isis (<< 2.0.0~), nordugrid-arc-janitor (<< 2.0.0~), libarccommon0, libarccommon1, libarccommon2
Breaks: nordugrid-arc-hed (<< 1.0.1~rc2~), nordugrid-arc-arex (<< 2.0.1~)
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: ARC Grid middleware
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The Advanced Resource Connector (ARC) is a software suite that makes
 use of Grid technologies to federate heterogeneous computing and data
 resources across administrative domains. The resulting infrastructure
 is commonly referred to as a computational or a data Grid, depending
 on prevalence of CPU-intensive or data-intensive applications. ARC is
 developed and supported by the NorduGrid Consortium.
 .
 Just like the Web, ARC has its roots in the IT infrastructure that was
 erected to analyze data collected by high energy physics experiments
 at CERN. While first versions of ARC made heavy use of the Globus
 Toolkit, the current release does not require Globus as such, though
 maintains backward compatibility.

Package: nordugrid-arc-client
Provides: nordugrid-arc1-client, nordugrid-arc-nox-client
Replaces: nordugrid-arc1-client (<< 1.0.0~), nordugrid-arc-nox-client (<< 1.3.0~)
Conflicts: nordugrid-arc1-client (<< 1.0.0~), nordugrid-arc-nox-client (<< 1.3.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon3 (= ${binary:Version}), nordugrid-arc-plugins-needed (= ${binary:Version})
Description: ARC command line interface
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 For the regular user of any ARC-based computational Grid,
 this client package contains (or depends on) all packages
 that are needed to submit jobs, query their status and
 retrieve results. Basic Grid file manipulation tools are
 also offered.

Package: nordugrid-arc-arcproxyalt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon3 (= ${binary:Version}), nordugrid-arc-plugins-needed (= ${binary:Version})
Description: ARC command line interface
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 Technology preview for the ARC integration with caNl. This package
 provides arcproxyalt based on caNl.

Package: nordugrid-arc-hed
Provides: nordugrid-arc1-server, nordugrid-arc-nox-hed
Replaces: nordugrid-arc1-server (<< 1.0.0~), nordugrid-arc-nox-hed (<< 1.3.0~), nordugrid-arc-nox-client (<< 1.3.0~), nordugrid-arc-client (<< 1.0.1~rc2~)
Conflicts: nordugrid-arc1-server (<< 1.0.0~), nordugrid-arc-nox-hed (<< 1.3.0~)
Breaks: nordugrid-arc-nox-client (<< 1.3.0~), nordugrid-arc-client (<< 1.0.1~rc2~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon3 (= ${binary:Version})
Recommends: nordugrid-arc-python
Description: ARC Hosting Environment Daemon
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The ARC Hosting Environment Daemon (HED). This daemon is a container for
 ARC services.

Package: nordugrid-arc-gridftpd
Provides: nordugrid-arc-nox-gridftp-server
Replaces: nordugrid-arc-nox-gridftp-server (<< 1.3.0~)
Conflicts: nordugrid-arc-nox-gridftp-server (<< 1.3.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon3 (= ${binary:Version}), nordugrid-arc-plugins-needed (= ${binary:Version})
Description: ARC GridFTP server
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the ARC GridFTP server which is implemented using
 original Globus tools, but extended with a plugin framework and other
 functionalities.
 .
 Current plugins include:
 .
   fileplugin : Standard GridFTP server based on Globus globus-ftp-control
   gaclplugin : Enhanced server with support for GACL authorization
   jobplugin  : Classical ARC job submission interface

Package: nordugrid-arc-cache-service
Provides: nordugrid-arc-nox-cache-service
Replaces: nordugrid-arc-nox-cache-service (<< 1.3.0~)
Conflicts: nordugrid-arc-nox-cache-service (<< 1.3.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon3 (= ${binary:Version}), nordugrid-arc-hed (= ${binary:Version}), nordugrid-arc-plugins-needed (= ${binary:Version})
Description: ARC cache service
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the ARC cache service. It provides a way to perform
 some operations on the ARC Compute Element cache remotely. It can be
 especially helpful for data-driven job scheduling within pilot job
 frameworks.

Package: nordugrid-arc-datadelivery-service
Provides: nordugrid-arc-nox-datadelivery-service
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon3 (= ${binary:Version}), nordugrid-arc-hed (= ${binary:Version}), nordugrid-arc-plugins-needed (= ${binary:Version})
Description: ARC data delivery service
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the ARC data delivery service.

Package: nordugrid-arc-ldap-infosys
Provides: nordugrid-arc-infosys-ldap, nordugrid-arc-nox-ldap-infosys, nordugrid-arc-infoindex
Replaces: nordugrid-arc-infosys-ldap (<< 1.0.0~), nordugrid-arc-nox-ldap-infosys (<< 1.3.0~), nordugrid-arc-infoindex (<< 0.8.2~), nordugrid-arc-aris (<< 3.0.0~)
Conflicts: nordugrid-arc-infosys-ldap (<< 1.0.0~), nordugrid-arc-nox-ldap-infosys (<< 1.3.0~), nordugrid-arc-infoindex (<< 0.8.2~), nordugrid-arc-aris (<< 3.0.0~)
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, slapd, glue-schema (>= 2.0.10), bdii
Description: ARC LDAP infosys service
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the LDAP based information system for ARC.
 This package is not self-contained. it should be pulled in by either
 nordugrid-arc-arex to be a part of a local information system or by
 nordugrid-arc-egiis to be a part of a EGIIS service.

Package: nordugrid-arc-aris
Replaces: nordugrid-arc-infosys-ldap (<< 1.0.0~), nordugrid-arc-nox-ldap-infosys (<< 1.3.0~), nordugrid-arc-infoindex (<< 0.8.2~)
Conflicts: nordugrid-arc-infosys-ldap (<< 1.0.0~), nordugrid-arc-nox-ldap-infosys (<< 1.3.0~), nordugrid-arc-infoindex (<< 0.8.2~)
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, nordugrid-arc-ldap-infosys (= ${binary:Version}), bdii
Description: ARC local information system
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the LDAP based information system for ARC.
 This package is not self-contained. it should be pulled in by either
 nordugrid-arc-arex to be a part of a local information system or by
 nordugrid-arc-egiis to be a part of a EGIIS service.

Package: nordugrid-arc-egiis
Provides: nordugrid-arc-nox-giis
Replaces: nordugrid-arc-nox-giis (<< 1.3.0~)
Conflicts: nordugrid-arc-nox-giis (<< 1.3.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-ldap-infosys (= ${source:Version})
Description: ARC EGIIS service
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC). 
 .
 The EGIIS is the Information Index Service used by ARC, This service is
 used to set up a LDAP-based server that local information systems (ARIS)
 register to.

Package: nordugrid-arc-ldap-monitor
Provides: nordugrid-arc-monitor
Replaces: nordugrid-arc-monitor (<< 1.0.0~)
Conflicts: nordugrid-arc-monitor (<< 1.0.0~)
Architecture: all
Depends: ${misc:Depends}, php5-common, php5-ldap, php5-gd
Description: ARC LDAP monitor service
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the LDAP monitor system for ARC.
 This package is self-contained. It is used to set up a Web-based monitor
 which pulls information from ARIS and displays it in a readable
 manner.

Package: nordugrid-arc-ws-monitor
Architecture: all
Depends: ${misc:Depends}
Description: ARC WS monitor service
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the WS monitor system for ARC.
 This package is self-contained. It is used to set up a Web-based monitor
 which pulls information from ISIS and displays it in a readable
 manner.

Package: nordugrid-arc-arex
Provides: nordugrid-arc-grid-manager, nordugrid-arc-server, nordugrid-arc1-arex, nordugrid-arc-nox-arex
Replaces: nordugrid-arc-grid-manager (<< 1.0.0~), nordugrid-arc-server (<< 1.0.0~), nordugrid-arc1-arex (<< 1.0.0~), nordugrid-arc-nox-arex (<< 1.3.0~)
Conflicts: nordugrid-arc-grid-manager (<< 1.0.0~), nordugrid-arc-server (<< 1.0.0~), nordugrid-arc1-arex (<< 1.0.0~), nordugrid-arc-nox-arex (<< 1.3.0~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libarccommon3 (= ${binary:Version}), nordugrid-arc-hed (= ${binary:Version}), nordugrid-arc-aris (= ${source:Version}), nordugrid-arc-plugins-needed (= ${binary:Version}), nordugrid-arc-python (= ${binary:Version}), libxml-simple-perl, python, python-stompy, python-ldap
Description: ARC Remote EXecution service
 NorduGrid is a collaboration aiming at development, maintenance and
