## nordugrid-arc 4.1.0

=== debian/changelog ===
nordugrid-arc (4.1.0-1) unstable; urgency=medium

  * 4.1.0 Release
  * Call dh_autoreconf to support ppc64le (Closes: #744639)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 01 May 2014 20:51:02 +0200
