=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,8 @@
 	if [ ! -f po/POTFILES.in.save ] ; then \
 	    cp -p po/POTFILES.in po/POTFILES.in.save ; \
 	fi
+
+	dh_autoreconf
 
 	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
 	CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
@@ -86,6 +88,8 @@
 
 	find python src -name *.pyc -exec rm {} ';'
 	rm -rf src/services/acix/*/test/_trial_temp
+
+	dh_autoreconf_clean
 
 	dh_clean configure-stamp build-stamp
