## nordugrid-arc 4.2.0

=== debian/changelog ===
nordugrid-arc (4.2.0-3) unstable; urgency=medium

  * Move #include <libxml/tree.h> out of extern C block (Closes: #778844)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 27 Feb 2015 19:11:14 +0100

nordugrid-arc (4.2.0-2) unstable; urgency=medium

  * Backport fix for broken sed statement in configure.ac

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 12 Oct 2014 10:05:33 +0200

nordugrid-arc (4.2.0-1) unstable; urgency=medium

  * 4.2.0 Release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 18 Aug 2014 10:48:13 +0200
