=== debian/rules ===
--- 
+++ 
@@ -155,7 +155,7 @@
 	dh_installinit -p nordugrid-arc-egiis --name nordugrid-arc-egiis -- start 76 2 3 4 5 . stop 24 0 1 6 .
 	dh_installinit -p nordugrid-arc-gridftpd --name gridftpd
 	dh_perl -a
-	[ -x /usr/bin/dh_python2 ] && dh_python2 -a || dh_pysupport -a
+	dh_python2 -a
 	[ -x /usr/bin/dh_lintian ] && dh_lintian -a || :
 	dh_link -a
 	dh_strip -a --dbg-package=nordugrid-arc-dbg
