## nordugrid-arc 5.0.2

=== debian/changelog ===
nordugrid-arc (5.0.2-1build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:46:30 +0000

nordugrid-arc (5.0.2-1) unstable; urgency=medium

  * 5.0.2 Release
  * Drop patch: nordugrid-arc-unbalanced-quotes.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 30 Jun 2015 06:48:51 +0200

nordugrid-arc (5.0.1-1) unstable; urgency=medium

  * 5.0.1 Release
  * Drop patches: nordugrid-arc-init.patch, -pytest.patch, -shell.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 26 Jun 2015 10:51:16 +0200

nordugrid-arc (5.0.0-1) unstable; urgency=medium

  * 5.0.0 Release
  * Drop patches: nordugrid-arc-extern-c.patch, -sedfix.patch
  * Address bashisms (Closes: #772283)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 31 Mar 2015 16:14:51 +0200
