=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: nordugrid-arc
 Section: net
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Uploaders: Anders Waananen <waananen@nbi.dk>
-Build-Depends: debhelper (>= 5), dh-autoreconf, libxml2-dev (>= 2.4.0), libssl-dev, libglibmm-2.4-dev, python-dev, libltdl-dev | libltdl7-dev | libltdl3-dev, libldap2-dev, uuid-dev, libcppunit-dev, pkg-config, libdb++-dev, libxmlsec1-dev (>=1.2.4), libglobus-common-dev, libglobus-gssapi-gsi-dev, libglobus-ftp-client-dev, libglobus-ftp-control-dev, python-support, default-jdk | openjdk-6-jdk | java-gcj-compat-dev, junit, liblfc-dev, libgridsite-dev, openssl, swig, libnss3-dev, libcanl-c++1-dev, pylint, libxml-simple-perl, libdbi-perl
+Build-Depends: debhelper (>= 5), dh-autoreconf, libxml2-dev (>= 2.4.0), libssl-dev, libglibmm-2.4-dev, python-dev, libltdl-dev | libltdl7-dev | libltdl3-dev, libldap2-dev, uuid-dev, libcppunit-dev, pkg-config, libdb++-dev, libxmlsec1-dev (>=1.2.4), libglobus-common-dev, libglobus-gssapi-gsi-dev, libglobus-ftp-client-dev, libglobus-ftp-control-dev, dh-python, default-jdk | openjdk-6-jdk | java-gcj-compat-dev, junit, openssl, swig, libnss3-dev, libcanl-c++1-dev, pylint, libxml-simple-perl, libdbi-perl
 XS-Python-Version: current
-Standards-Version: 3.9.5
-Vcs-Browser: http://svn.nordugrid.org/trac/nordugrid/browser/arc1
-Vcs-Svn: http://svn.nordugrid.org/repos/nordugrid/arc1/trunk
+Standards-Version: 3.9.6
 Homepage: http://www.nordugrid.org
 
 Package: libarccommon3
@@ -98,7 +97,6 @@
  Current plugins include:
  .
    fileplugin : Standard GridFTP server based on Globus globus-ftp-control
-   gaclplugin : Enhanced server with support for GACL authorization
    jobplugin  : Classical ARC job submission interface
 
 Package: nordugrid-arc-cache-service
@@ -210,3 +208,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libarccommon3 (= ${binary:Version}), nordugrid-arc-hed (= ${binary:Version}), nordugrid-arc-aris (= ${source:Version}), nordugrid-arc-plugins-needed (= ${binary:Version}), nordugrid-arc-python (= ${binary:Version}), libxml-simple-perl, python, python-stompy, python-ldap
 Description: ARC Remote EXecution service
+ NorduGrid is a collaboration aiming at development, maintenance and
+ support of the free Grid middleware, known as the Advanced Resource
+ Connector (ARC).
+ .
