## nordugrid-arc 5.0.5

=== debian/changelog ===
nordugrid-arc (5.0.5-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1562195).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 25 Mar 2016 15:56:27 -0700

nordugrid-arc (5.0.5-1) unstable; urgency=medium

  * 5.0.5 Release
  * Drop patch: nordugrid-arc-perlarray.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 11 Jan 2016 09:27:14 +0100

nordugrid-arc (5.0.4-2) unstable; urgency=medium

  * Rebuild with debhelper 9.20151126 (Closes: #806923)
  * Fix a perl warning during make check

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 03 Dec 2015 09:19:23 +0100

nordugrid-arc (5.0.4-1) unstable; urgency=medium

  * 5.0.4 Release
  * Drop patches: nordugrid-arc-sslv3.patch, nordugrid-arc-stdpair-c++11.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Nov 2015 09:27:47 +0100

nordugrid-arc (5.0.3-2) unstable; urgency=medium

  * Don't call ssl v3 methods when not available (Closes: #804610)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 10 Nov 2015 13:40:00 +0100

nordugrid-arc (5.0.3-1) unstable; urgency=medium

  * 5.0.3 Release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 29 Sep 2015 10:47:50 +0200

nordugrid-arc (5.0.2-2) unstable; urgency=medium

  * Rename libarccommon3 to libarccommon3v5 for libstdc++ v5 (Closes: #797984)
  * Add Replaces/Breaks for the old library package name

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Sep 2015 11:35:01 +0200
