=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,11 @@
 # Filter out -Wl,-Bsymbolic-functions from default Ubuntu LDFLAGS
 COMMA = ,
 LDFLAGS := $(filter-out -Wl$(COMMA)-Bsymbolic-functions,$(LDFLAGS))
+
+ifeq ($(shell pkg-config --atleast-version 2.6 sigc++-2.0 && echo 1),1)
+# Workaround for too new libsigc++/glibmm
+CXXFLAGS += -std=c++11
+endif
 
 CANL_SUPPORT = yes
 
@@ -183,7 +188,7 @@
 	dh_installinit -p nordugrid-arc-acix-cache --name acix-cache
 	dh_installinit -p nordugrid-arc-acix-index --name acix-index
 	dh_perl -i
-	[ -x /usr/bin/dh_python2 ] && dh_python2 -i || dh_pysupport -i
+	dh_python2 -i
 	[ -x /usr/bin/dh_lintian ] && dh_lintian -i || :
 	dh_link -i
 	dh_compress -i -X .pdf
