## nordugrid-arc 5.1.2

=== debian/changelog ===
nordugrid-arc (5.1.2-1) unstable; urgency=medium

  * 5.1.2 Release
  * Change Maintainer email (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 08 Jul 2016 15:23:36 +0200

nordugrid-arc (5.1.1-1) unstable; urgency=medium

  * 5.1.1 Release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 25 May 2016 17:04:03 +0200

nordugrid-arc (5.1.0-1) unstable; urgency=medium

  * 5.1.0 Release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 20 May 2016 14:05:16 +0200

nordugrid-arc (5.0.5-2) unstable; urgency=medium

  * Update to php 7.0 dependencies (Closes: #821538)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 07 May 2016 15:52:10 +0200
