=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 		    --with-docdir='$${datadir}/doc/nordugrid-arc' \
 		    --with-jnidir='$${datadir}/java' \
 		    --with-jninativedir='$${libdir}/jni' \
+		    --enable-sqlite \
 		    $(CANL_CONFIGURE_OPTION)
 	touch $@
